GR_PLOT(1)

NAME
gr_plot - display time series of samples from a file

DESCRIPTION
Show data captured using the gnuradio file sink.

usage: gr_plot [-h]

    [-d {complex64,float32,uint32,int32,uint16,int16,uint8,int8}] [-B BLOCK] [-s START] [-R SAMPLE_RATE] FILE [FILE ...]

Takes a GNU Radio binary file and displays the samples versus time. You can set the block size to specify how many points to read in at a time and the start position in the file. By default, the system assumes a sample rate of 1, so in time, each sample is plotted versus the sample number. To set a true time axis, set the sample rate (-R or --sample-rate) to the sample rate used when capturing the samples.

  positional arguments:

FILE
    Input file with samples

  optional arguments:

-h, --help
    show this help message and exit

-d {complex64,float32,uint32,int32,uint16,int16,uint8,int8}, --data-type {complex64,float32,uint32,int32,uint16,int16,uint8,int8}
    Specify the data type [default='complex64']

-B BLOCK, --block BLOCK
    Specify the block size [default=1000]

-s START, --start START
    Specify where to start in the file [default=0]

-R SAMPLE_RATE, --sample-rate SAMPLE_RATE
    Set the sampler rate of the data [default=1.0]

SEE ALSO
gr_plot_char(1) gr_plot_const(1) gr_plot_fft_c(1) gr_plot_fft_f(1) gr_plot_float(1) gr_plot_int(1) gr_plot_iq(1) gr_plot_psd_c(1) gr_plot_psd_f(1) gr_plot_qt(1) gr_plot_short(1)